Ignore:
Timestamp:
2008-12-16T15:52:32+13:00 (15 years ago)
Author:
mdewsnip
Message:

Removed --with-gdbm option and no longer checks for GDBM library existing, because we know we have it.

Location:
gsdl/trunk/common-src
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • gsdl/trunk/common-src/configure

    r16595 r18214  
    311311
    312312ac_subdirs_all="$ac_subdirs_all packages indexers"
    313 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     313ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    314314ac_subst_files=''
    315315
     
    865865  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    866866  --with-micodir          Use installed MICO directory
    867   --with-gdbm=dir         Use local gdbm library and headers
    868867  --with-dmalloc          use dmalloc, as in
    869868                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14101409
    14111410
    1412 
    1413 # Check whether --with-gdbm or --without-gdbm was given.
    1414 if test "${with_gdbm+set}" = set; then
    1415   withval="$with_gdbm"
    1416   gdbmdir=$withval
    1417 fi;
    1418 
    14191411# Check whether --enable-accentfold or --disable-accentfold was given.
    14201412if test "${enable_accentfold+set}" = set; then
     
    68166808
    68176809
    6818 
    6819 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6820 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6821 if test ! -z "$gdbmdir" ; then
    6822   # look in given directory for header file
    6823   if test -r $gdbmdir/include/gdbm.h ; then
    6824     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6825   elif test -r $gdbmdir/gdbm.h ; then
    6826     GDBM_INCLUDE="-I$gdbmdir" ;
    6827   fi
    6828 
    6829   # look in given directory for library
    6830   if test -r $gdbmdir/libgdbm.a ; then
    6831     GDBM_LIBPATH="-L$gdbmdir" ;
    6832   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6833     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6834   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6835     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6836   fi
    6837 
    6838   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6839     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6840 echo "${ECHO_T}$gdbmdir" >&6 ;
    6841   else
    6842     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6843 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6844     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6845 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6846   fi
    6847 fi
    6848 
    6849 # look in default path and in /usr/local
    6850 if test -z "$GDBM_INCLUDE" ; then
    6851   # try in system directory
    6852 
    6853 cat >conftest.$ac_ext <<_ACEOF
    6854 /* confdefs.h.  */
    6855 _ACEOF
    6856 cat confdefs.h >>conftest.$ac_ext
    6857 cat >>conftest.$ac_ext <<_ACEOF
    6858 /* end confdefs.h.  */
    6859 #include <gdbm.h>
    6860 
    6861 int
    6862 main ()
    6863 {
    6864 
    6865   ;
    6866   return 0;
    6867 }
    6868 _ACEOF
    6869 rm -f conftest.$ac_objext
    6870 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6871   (eval $ac_compile) 2>conftest.er1
    6872   ac_status=$?
    6873   grep -v '^ *+' conftest.er1 >conftest.err
    6874   rm -f conftest.er1
    6875   cat conftest.err >&5
    6876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6877   (exit $ac_status); } &&
    6878      { ac_try='test -z "$ac_cxx_werror_flag"
    6879              || test ! -s conftest.err'
    6880   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6881   (eval $ac_try) 2>&5
    6882   ac_status=$?
    6883   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6884   (exit $ac_status); }; } &&
    6885      { ac_try='test -s conftest.$ac_objext'
    6886   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6887   (eval $ac_try) 2>&5
    6888   ac_status=$?
    6889   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6890   (exit $ac_status); }; }; then
    6891   success=yes
    6892 else
    6893   echo "$as_me: failed program was:" >&5
    6894 sed 's/^/| /' conftest.$ac_ext >&5
    6895 
    6896 success=no
    6897 
    6898 fi
    6899 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6900 
    6901   if test $success = "no"; then
    6902 # last chance - look in /usr/local (eg FreeBSD)
    6903     GDBM_LIBPATH=-L/usr/local/lib
    6904     GDBM_INCLUDE=-I/usr/local/include
    6905     ac_save_CXXFLAGS="$CXXFLAGS"
    6906     ac_save_LIBS="$LIBS"
    6907       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6908       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6909       cat >conftest.$ac_ext <<_ACEOF
    6910 /* confdefs.h.  */
    6911 _ACEOF
    6912 cat confdefs.h >>conftest.$ac_ext
    6913 cat >>conftest.$ac_ext <<_ACEOF
    6914 /* end confdefs.h.  */
    6915 #include <gdbm.h>
    6916 #include <stdio.h>
    6917 
    6918 int
    6919 main ()
    6920 {
    6921 printf("%s",gdbm_version);
    6922   ;
    6923   return 0;
    6924 }
    6925 _ACEOF
    6926 rm -f conftest.$ac_objext conftest$ac_exeext
    6927 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6928   (eval $ac_link) 2>conftest.er1
    6929   ac_status=$?
    6930   grep -v '^ *+' conftest.er1 >conftest.err
    6931   rm -f conftest.er1
    6932   cat conftest.err >&5
    6933   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6934   (exit $ac_status); } &&
    6935      { ac_try='test -z "$ac_cxx_werror_flag"
    6936              || test ! -s conftest.err'
    6937   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6938   (eval $ac_try) 2>&5
    6939   ac_status=$?
    6940   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6941   (exit $ac_status); }; } &&
    6942      { ac_try='test -s conftest$ac_exeext'
    6943   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6944   (eval $ac_try) 2>&5
    6945   ac_status=$?
    6946   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6947   (exit $ac_status); }; }; then
    6948   success=/usr/local
    6949 else
    6950   echo "$as_me: failed program was:" >&5
    6951 sed 's/^/| /' conftest.$ac_ext >&5
    6952 
    6953 success=no
    6954 
    6955 fi
    6956 rm -f conftest.err conftest.$ac_objext \
    6957       conftest$ac_exeext conftest.$ac_ext
    6958       CXXFLAGS=$ac_save_CXXFLAGS
    6959       LIBS=$ac_save_LIBS
    6960   fi
    6961 
    6962   echo "$as_me:$LINENO: result: $success" >&5
    6963 echo "${ECHO_T}$success" >&6
    6964   if test $success = "no"; then
    6965   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6966 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6967    { (exit 1); exit 1; }; }
    6968   fi
    6969 fi
    6970 cat >>confdefs.h <<\_ACEOF
    6971 #define HAVE_LIBGDBM  1
    6972 _ACEOF
    6973 
    6974 
    6975 
    6976 
    6977 
    69786810success=no
    69796811echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    69806812echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6813
    69816814
    69826815cat >conftest.$ac_ext <<_ACEOF
     
    80927925s,@LIBOBJS@,$LIBOBJS,;t t
    80937926s,@STATIC@,$STATIC,;t t
    8094 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8095 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    80967927s,@gsdlos@,$gsdlos,;t t
    80977928s,@MODULEDIRS@,$MODULEDIRS,;t t
  • gsdl/trunk/common-src/configure.in

    r16595 r18214  
    6161AC_SUBST(USE_YAZ)
    6262dnl fi
    63 
    64 dnl
    65 dnl look for libgdbm if not in standard location
    66 dnl
    67 AC_ARG_WITH(gdbm, [  --with-gdbm=dir         Use local gdbm library and headers], gdbmdir=$withval)
    6863
    6964dnl
     
    251246dnl
    252247AC_LANG_CPLUSPLUS
    253 
    254 dnl
    255 dnl Check that the GDBM library is available
    256 dnl
    257 dnl check libgdbm manually, in case it's not in the standard location.
    258 
    259 AC_MSG_CHECKING(that the GDBM library is available)
    260 if test ! -z "$gdbmdir" ; then
    261   # look in given directory for header file
    262   if test -r $gdbmdir/include/gdbm.h ; then
    263     GDBM_INCLUDE="-I$gdbmdir/include" ;
    264   elif test -r $gdbmdir/gdbm.h ; then
    265     GDBM_INCLUDE="-I$gdbmdir" ;
    266   fi
    267 
    268   # look in given directory for library
    269   if test -r $gdbmdir/libgdbm.a ; then
    270     GDBM_LIBPATH="-L$gdbmdir" ;
    271   elif test -r $gdbmdir/lib/libgdbm.a ; then
    272     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    273   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    274     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    275   fi
    276 
    277   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    278     AC_MSG_RESULT($gdbmdir) ;
    279   else
    280     AC_MSG_RESULT(can't find gdbm.h and libgdbm.a in $gdbmdir);
    281     AC_MSG_CHECKING(   looking for GDBM library in default locations)
    282   fi
    283 fi
    284 
    285 # look in default path and in /usr/local
    286 if test -z "$GDBM_INCLUDE" ; then
    287   # try in system directory
    288   AC_TRY_COMPILE(
    289   [#include <gdbm.h>
    290 ],
    291   [],
    292   success=yes,
    293   success=no
    294   )
    295 
    296   if test $success = "no"; then
    297 # last chance - look in /usr/local (eg FreeBSD)
    298     GDBM_LIBPATH=-L/usr/local/lib
    299     GDBM_INCLUDE=-I/usr/local/include
    300     ac_save_CXXFLAGS="$CXXFLAGS"
    301     ac_save_LIBS="$LIBS"
    302       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    303       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    304       AC_TRY_LINK(
    305     [#include <gdbm.h>
    306 #include <stdio.h>
    307     ],
    308     [printf("%s",gdbm_version);],
    309     success=/usr/local,
    310     success=no
    311       )
    312       CXXFLAGS=$ac_save_CXXFLAGS
    313       LIBS=$ac_save_LIBS
    314   fi
    315 
    316   AC_MSG_RESULT($success)
    317   if test $success = "no"; then
    318   AC_MSG_ERROR(GDBM Library not available - cannot install)
    319   fi
    320 fi
    321 dnl I don't think anything actually checks this define, but...
    322 AC_DEFINE(HAVE_LIBGDBM , 1)
    323 
    324 AC_SUBST(GDBM_LIBPATH)
    325 AC_SUBST(GDBM_INCLUDE)
    326248
    327249dnl
Note: See TracChangeset for help on using the changeset viewer.